---
docker_hosts:
  - name: claude-internal-tools
    ip: ###_IP
    env_override: HM_DOCKER_INTERNAL_HOST
  - name: nas
    ip: ###_IP
    env_override: HM_DOCKER_NAS_HOST
  - name: media-vm
    ip: ###_IP
    env_override: HM_DOCKER_MEDIA_HOST
  - name: email-bot-arn
    ip: ###_IP
    env_override: HM_DOCKER_EMAIL_BOT_HOST

nas:
  host: ###_IP
  services:
    - smbd
    - nfs-server
    - docker
    - target
    - sshd

critical_guests:
  - 209

applications:
  # --- LXC Applications ---
  - name: afl-tipster-prod
    url: http://###_IP:8094/api/health
    expect_status: 200
    timeout: 5

  - name: design-docs
    url: http://###_IP:80
    expect_status: 200
    timeout: 5

  - name: mtg-helper-dev
    url: http://###_IP:8085/api/health
    expect_status: 200
    timeout: 5

  - name: mtg-helper-prod
    url: http://###_IP:8080/api/health
    expect_status: 200
    timeout: 5

  - name: play-portal-prod
    url: http://###_IP:3010
    expect_status: 200
    timeout: 5

  - name: courthub
    url: http://###_IP:8000
    expect_status: 404
    timeout: 5

  - name: email-bot-monitor
    url: http://###_IP:8087
    expect_status: 200
    timeout: 5

  - name: finance-dashboard
    url: http://###_IP:8095
    expect_status: 200
    timeout: 5

  # --- Monitoring stack (internal-tools) ---
  - name: grafana
    url: http://###_IP:3000/api/health
    expect_status: 200
    expect_json:
      field: database
      value: ok
    timeout: 5

  - name: prometheus
    url: http://###_IP:9090/-/healthy
    expect_status: 200
    timeout: 5

  - name: alertmanager
    url: http://###_IP:9093/-/healthy
    expect_status: 200
    timeout: 5

  - name: uptime-kuma
    url: http://###_IP:3001
    expect_status: 200
    timeout: 5

  # --- Media / NAS ---
  - name: plex
    url: https://###_IP:32400/identity
    expect_status: 200
    timeout: 5

  - name: tautulli
    url: http://###_IP:8181
    expect_status: 200
    timeout: 5

  - name: overseerr
    url: http://###_IP:5055
    expect_status: 200
    timeout: 5

  - name: sonarr
    url: http://###_IP:8989
    expect_status: 200
    timeout: 5

  - name: radarr
    url: http://###_IP:7878
    expect_status: 200
    timeout: 5

  - name: sabnzbd
    url: http://###_IP:8080
    expect_status: 200
    timeout: 5

  - name: tdarr
    url: http://###_IP:8265
    expect_status: 200
    timeout: 5

cron_baselines:
  claudes-palace:
    host: ###_IP
    user: claude
    entries:
      - job: gmail-manager
        pattern: "gmail-manager.sh"
      - job: gmail-manager-trinh
        pattern: "gmail-manager-trinh.sh"
      - job: gmail-ha-notify
        pattern: "gmail-ha-notify.sh"
      - job: gmail-ha-notify-trinh
        pattern: "gmail-ha-notify-trinh.sh"
      - job: gmail-summary
        pattern: "gmail-summary.sh"
      - job: gmail-summary-trinh
        pattern: "gmail-summary-trinh.sh"
      - job: claude-responder
        pattern: "claude-responder.sh"
